cc.funkemunky.api.commands

## Class FunkeCommandManager

- java.lang.Object
- - cc.funkemunky.api.commands.FunkeCommandManager

    public class FunkeCommandManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FunkeCommandManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCommand(org.bukkit.plugin.Plugin plugin, FunkeCommand command)`
`void` `removeAll(org.bukkit.plugin.Plugin plugin)`
`void` `removeAllCommands()`
`void` `removeCommand(FunkeCommand command)`
`void` `removeCommand(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FunkeCommandManager

    public FunkeCommandManager()

### Method Detail

#### addCommand

    public void addCommand(org.bukkit.plugin.Plugin plugin,
                           FunkeCommand command)

#### removeAllCommands

    public void removeAllCommands()

#### removeCommand

    public void removeCommand(java.lang.String name)

#### removeAll

    public void removeAll(org.bukkit.plugin.Plugin plugin)

#### removeCommand

    public void removeCommand(FunkeCommand command)